This queue is for tickets about the HTML-Parser CPAN distribution.

Report information
The Basics
Id:
8650
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
blair [...] orcaware.com
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
(no value)
Fixed in:
3.42



Subject: 3.40 builds on all 5.8.x Perl's except for 5.8.0
Hello, I've successfully build HTML::Parser 3.40 againsg perl 5.6.1, 5.8.2, 5.8.3, 5.8.4 and 5.8.5 but against 5.8.0, it fails. There's nothing too obvious about the failure, so if you need any more information, I'll be happy to help. Perl -V output is below. CPAN.pm: Going to build G/GA/GAAS/HTML-Parser-3.40.tar.gz Checking if your kit is complete... Looks good Writing Makefile for HTML::Parser cp lib/HTML/PullParser.pm blib/lib/HTML/PullParser.pm cp Parser.pm blib/lib/HTML/Parser.pm cp lib/HTML/Entities.pm blib/lib/HTML/Entities.pm cp lib/HTML/TokeParser.pm blib/lib/HTML/TokeParser.pm cp lib/HTML/LinkExtor.pm blib/lib/HTML/LinkExtor.pm cp lib/HTML/Filter.pm blib/lib/HTML/Filter.pm cp lib/HTML/HeadParser.pm blib/lib/HTML/HeadParser.pm /opt/i386-linux/installed/perl-5.8.0/bin/perl5.8.0 /opt/i386-linux/installed/per l-5.8.0/lib/5.8.0/ExtUtils/xsubpp -typemap /opt/i386-linux/installed/perl-5.8.0 /lib/5.8.0/ExtUtils/typemap -typemap typemap Parser.xs > Parser.xsc && mv Parse r.xsc Parser.c /opt/i386-linux/installed/perl-5.8.0/bin/perl5.8.0 mkhctype >hctype.h /opt/i386-linux/installed/perl-5.8.0/bin/perl5.8.0 mkpfunc >pfunc.h /opt/i386-linux/gcc/bin/gcc -c -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O3 -march=i386 -mtune=i686 -DVERSION=\"3.40\" -DXS_VERSION=\"3.40\" -fpic "-I/opt/i386-linux/ installed/perl-5.8.0/lib/5.8.0/i686-linux-thread-multi/CORE" -DMARKED_SECTION P arser.c Running Mkbootstrap for HTML::Parser () chmod 644 Parser.bs rm -f blib/arch/auto/HTML/Parser/Parser.so LD_RUN_PATH="" /opt/i386-linux/gcc/bin/gcc -shared Parser.o -o blib/arch/auto/ HTML/Parser/Parser.so chmod 755 blib/arch/auto/HTML/Parser/Parser.so cp Parser.bs blib/arch/auto/HTML/Parser/Parser.bs chmod 644 blib/arch/auto/HTML/Parser/Parser.bs Manifying blib/man3/HTML::PullParser.3 Manifying blib/man3/HTML::Entities.3 Manifying blib/man3/HTML::Parser.3 Manifying blib/man3/HTML::LinkExtor.3 Manifying blib/man3/HTML::TokeParser.3 Manifying blib/man3/HTML::HeadParser.3 Manifying blib/man3/HTML::Filter.3 /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /opt/i386-linux/installed/perl-5.8.0/bin/perl5.8.0 "-MExtUtils ::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/api_version........Can't load '/export/home1/blair/.cpan/build/HTML-Parser-3.4 0/blib/arch/auto/HTML/Parser/Parser.so' for module HTML::Parser: /export/home1/b lair/.cpan/build/HTML-Parser-3.40/blib/arch/auto/HTML/Parser/Parser.so: undefine d symbol: sv_catpvn_utf8_upgrade at /opt/i386-linux/installed/perl-5.8.0/lib/5.8 .0/i686-linux-thread-multi/DynaLoader.pm line 229. at t/api_version.t line 4 Compilation failed in require at t/api_version.t line 4. BEGIN failed--compilation aborted at t/api_version.t line 4. t/api_version........dubious Test returned status 255 (wstat 65280, 0xff00) $ /opt/i386-linux/installed/perl-5.8.0/bin/perl -V Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration: Platform: osname=linux, osvers=2.4.20-18.9, archname=i686-linux-thread-multi uname='linux orcaware.com 2.4.20-18.9 #1 thu may 29 07:08:16 edt 2003 i686 i686 i386 gnulinux ' config_args='-Dprefix=/opt/i386-linux/installed/perl-5.8.0 -Dcc=/opt/i386-linux/gcc/bin/gcc -Doptimize=-O3 -march=i386 -mtune=i686 -Uinstallusrbinperl -Ulocincpth -Duseshrplib -Dcf_email=blair@orcaware.com -Ui_db -Uversiononly -Ubincompat5005 -Dusethreads -Duseithreads -Dlibpth=/lib /usr/lib -Dlibspath=/lib /usr/lib -Dd_dosuid' hint=recommended, useposix=true, d_sigaction=define usethreads=define use5005threads=undef useithreads=define usemultiplicity=define useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=undef use64bitall=undef uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='/opt/i386-linux/gcc/bin/gcc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm', optimize='-O3 -march=i386 -mtune=i686', cppflags='-D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -I/usr/include/gdbm' ccversion='', gccversion='3.3', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=4, prototype=define Linker and Libraries: ld='/opt/i386-linux/gcc/bin/gcc', ldflags ='' libpth=/lib /usr/lib libs=-lnsl -lgdbm -ldl -lm -lpthread -lc -lcrypt -lutil perllibs=-lnsl -ldl -lm -lpthread -lc -lcrypt -lutil libc=/lib/libc-2.3.2.so, so=so, useshrplib=true, libperl=libperl.so gnulibc_version='2.3.2' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-rdynamic -Wl,-rpath,/opt/i386-linux/installed/perl-5.8.0/lib/5.8.0/i686-linux-thread-multi/CORE' cccdlflags='-fpic', lddlflags='-shared' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY USE_ITHREADS USE_LARGE_FILES PERL_IMPLICIT_CONTEXT Locally applied patches: ActivePerl Build 806 Built under linux Compiled at Jun 25 2003 17:38:15 @INC: /opt/i386-linux/installed/perl-5.8.0/lib/5.8.0/i686-linux-thread-multi /opt/i386-linux/installed/perl-5.8.0/lib/5.8.0 /opt/i386-linux/installed/perl-5.8.0/lib/site_perl/5.8.0/i686-linux-thread-multi /opt/i386-linux/installed/perl-5.8.0/lib/site_perl/5.8.0 /opt/i386-linux/installed/perl-5.8.0/lib/site_perl .
This issue was fixed a long time ago (in HTML-Parser 3.42).


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.